# Get Webhook (https://webmetic.de/docs/api/referenz/webhooks/endpoint-id)

## GET /webhooks/{endpoint_id}

One endpoint by id.

### Parameter

| Name | Ort | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- | --- |
| `endpoint_id` | path | string | ja |  |

### Antworten

| Status | Beschreibung |
| --- | --- |
| 200 | Successful Response |
| 403 | API_KEY_MISSING, API_KEY_INVALID, API_KEY_NOT_FOUND, WEBSITE_NOT_AUTHORIZED |
| 404 | WEBHOOK_NOT_FOUND, SEGMENT_NOT_FOUND |
| 422 | Validation Error |

Felder der Antwort 200:

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `id` | string | ja |  |
| `url` | string | ja |  |
| `description` | string | nein |  |
| `events` | string[] | ja |  |
| `websites` | string[] | ja |  |
| `segment_id` | string \| null | nein |  |
| `segment_label` | string \| null | nein |  |
| `header_names` | string[] | nein |  |
| `source` | string | nein |  |
| `status` | string | ja |  |
| `created_via` | string | nein |  |
| `created_at` | string | ja |  |
| `updated_at` | string | ja |  |
| `last_success_at` | string \| null | nein |  |
| `last_failure_at` | string \| null | nein |  |
| `failing_since` | string \| null | nein |  |
| `disabled_at` | string \| null | nein |  |
| `disabled_reason` | string \| null | nein |  |
| `secret_rotated_at` | string \| null | nein |  |

### Beispiel

```bash
curl -X GET 'https://hub.webmetic.de/webhooks/whe_3c9a71f0b24d8e65' \
  -H 'Authorization: wmtc_IHR_API_SCHLUESSEL'
```